Debian Bug report logs - #689906
Ships a folder in /var/run or /var/lock (Policy Manual section 9.3.2)

version graph

Package: wzdftpd; Maintainer for wzdftpd is Pierre Chifflier <pollux@debian.org>; Source for wzdftpd is src:wzdftpd.

Reported by: Thomas Goirand <zigo@debian.org>

Date: Sun, 7 Oct 2012 15:18:05 UTC

Severity: serious

Tags: patch

Found in version wzdftpd/0.8.3-6.1

Fixed in version wzdftpd/0.8.3-6.2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#689906; Package wzdftpd. (Sun, 07 Oct 2012 15:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to Pierre Chifflier <pollux@debian.org>. (Sun, 07 Oct 2012 15:18:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Ships a folder in /var/run or /var/lock (Policy Manual section 9.3.2)
Date: Sun, 07 Oct 2012 23:16:01 +0800
[Message part 1 (text/plain, inline)]
Package: wzdftpd
Version: 0.8.3-6.1
Severity: serious
Tags: patch

Dear Maintainer,

Andreas Beckmann <debian@abeckmann.de> reported in -devel that your package
(as well as 27 others) ships a folder either in /var/run or /var/lock. This
is forbidden by policy.

Lintian detects the problem and warns as follow:

/var/run may be a temporary filesystem, so any directories or files needed
/there must be created dynamically at boot time.

Refer to Debian Policy Manual section 9.3.2 (Writing the scripts) for
details.

Severity: serious, Certainty: possible
Check: files, Type: binary, udeb

which is why I am reporting this bug with severity serious (and there fore,
release critical).

Please fix your package. I have attached what I believe is a good fix the
problem, however, I haven't tried it, and I haven't tested if something more
for creating the necessary folder at runtime should be added. Please make
sure to test before applying the patch blindly.

Cheers,

Thomas Goirand (zigo)
[wzdftpd_0.8.3-6.2.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Chifflier <pollux@debian.org>:
Bug#689906; Package wzdftpd. (Sat, 13 Oct 2012 11:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Pierre Chifflier <pollux@debian.org>. (Sat, 13 Oct 2012 11:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 689906@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 689906@bugs.debian.org
Subject: wzdftpd: diff for NMU version 0.8.3-6.2
Date: Sat, 13 Oct 2012 11:57:46 +0100
[Message part 1 (text/plain, inline)]
tags 689906 + pending
thanks

Dear maintainer,

I've prepared an NMU for wzdftpd (versioned as 0.8.3-6.2) and
uploaded it.

Regards.

-- 
Ben Hutchings
Humans are not rational beings; they are rationalising beings.
[wzdftpd-0.8.3-6.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 13 Oct 2012 11:00:07 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sat, 13 Oct 2012 11:06:03 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Sat, 13 Oct 2012 11:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 689906-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 689906-close@bugs.debian.org
Subject: Bug#689906: fixed in wzdftpd 0.8.3-6.2
Date: Sat, 13 Oct 2012 11:03:04 +0000
Source: wzdftpd
Source-Version: 0.8.3-6.2

We believe that the bug you reported is fixed in the latest version of
wzdftpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689906@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated wzdftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 13 Oct 2012 11:46:01 +0100
Source: wzdftpd
Binary: wzdftpd wzdftpd-back-mysql wzdftpd-back-pgsql wzdftpd-mod-avahi wzdftpd-mod-tcl wzdftpd-mod-perl wzdftpd-dev
Architecture: i386 source
Version: 0.8.3-6.2
Distribution: unstable
Urgency: low
Maintainer: Pierre Chifflier <pollux@debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 689906
Description: 
 wzdftpd-back-mysql - modular, small and efficient ftp server - MySQL backend
 wzdftpd-back-pgsql - modular, small and efficient ftp server - PostgreSQL backend
 wzdftpd-dev - modular, small and efficient ftp server - development files
 wzdftpd-mod-avahi - modular, small and efficient ftp server - zeroconf module
 wzdftpd-mod-perl - modular, small and efficient ftp server - Perl module
 wzdftpd-mod-tcl - modular, small and efficient ftp server - Tcl module
 wzdftpd    - modular, small and efficient ftp server - binaries
Changes: 
 wzdftpd (0.8.3-6.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Create /var/run/wzdftpd from init script (Closes: #689906)
     (based on patch by Thomas Goirand)
   * Fix spelling of 'bandwidth' in description
   * Remove duplicate upstream changelog
Checksums-Sha1: 
 d3cc55409336f6fd344815ec2b4f982c1dadd0da 2179 wzdftpd_0.8.3-6.2.dsc
 c8a05c7e9a47b0e4418b7636f90791872fbf3e48 9129 wzdftpd_0.8.3-6.2.diff.gz
 fbeb6416b08c850833d2b132e843995c4810ce8c 292692 wzdftpd_0.8.3-6.2_i386.deb
 835e5b759afd4e42190490a24b40459a0a3dbbf0 43216 wzdftpd-back-mysql_0.8.3-6.2_i386.deb
 99c3fec529b10469c0f98b76726f84bf70526e23 42942 wzdftpd-back-pgsql_0.8.3-6.2_i386.deb
 2cf93f8eacf121de5eb53cd8f8b56a758bd391ea 33206 wzdftpd-mod-avahi_0.8.3-6.2_i386.deb
 6634812cc0a82cdabdeebe01026799639923475c 38030 wzdftpd-mod-tcl_0.8.3-6.2_i386.deb
 e6effa19ffc9a83b51dee1458d8194807a51ade5 42546 wzdftpd-mod-perl_0.8.3-6.2_i386.deb
 e3bfef37a6aa3a0f9920276fa69b6d98fa3882c1 74098 wzdftpd-dev_0.8.3-6.2_i386.deb
Checksums-Sha256: 
 15c6ad6736bb4147b32a6d2e6f8acbb6c80f019c0bd7e8b179f723f9429d86a0 2179 wzdftpd_0.8.3-6.2.dsc
 f90b44581480bac94532e1699dfa4a7489c368493fb216f942aa9e9749dfaa96 9129 wzdftpd_0.8.3-6.2.diff.gz
 b93b1839ea096015f5688d84e7c85d5d9473fe7f35b2737192d3011c5ce7f5f2 292692 wzdftpd_0.8.3-6.2_i386.deb
 b2c5d024cca9a2c09d92f42527c6cf0f92e6000358750d326a096024e3b1827e 43216 wzdftpd-back-mysql_0.8.3-6.2_i386.deb
 a0bb520c971c5a9671a8fb8aeefc97302d8344f20e00a314c503e11d35144760 42942 wzdftpd-back-pgsql_0.8.3-6.2_i386.deb
 79cf4a541c88073c1adc384c688e866b03ab2ddbfa1ebd00c984964f8f47d89a 33206 wzdftpd-mod-avahi_0.8.3-6.2_i386.deb
 e26f9fe2020095d68d44ce58949da78de573c7b502741273b2cbc30e85c4a508 38030 wzdftpd-mod-tcl_0.8.3-6.2_i386.deb
 98d08badb018fee0d6129abccdf0c96ce06029d1c4ae62a734035452244ebfed 42546 wzdftpd-mod-perl_0.8.3-6.2_i386.deb
 5565cab8a0644644ff7e2e4a6d8876e47f2b4519813527fd72451b9a55ef5dae 74098 wzdftpd-dev_0.8.3-6.2_i386.deb
Files: 
 981509730a88bc3dd2a47d342c36eb55 2179 net optional wzdftpd_0.8.3-6.2.dsc
 eb0323328d2a20da14f5a0ec5827c0e5 9129 net optional wzdftpd_0.8.3-6.2.diff.gz
 d84ac954a9c00d3e6ec5ef46a3ba5d40 292692 net optional wzdftpd_0.8.3-6.2_i386.deb
 66bc3571dfcbd2469cb01d1a1e46bbdb 43216 net optional wzdftpd-back-mysql_0.8.3-6.2_i386.deb
 d4153f57b1c3db815ae0d16e6ddc1062 42942 net optional wzdftpd-back-pgsql_0.8.3-6.2_i386.deb
 2ad6e0616395c6058d711a9cee2f0951 33206 net optional wzdftpd-mod-avahi_0.8.3-6.2_i386.deb
 1b1326b0c15f6cda1b5c55b1e747398e 38030 net optional wzdftpd-mod-tcl_0.8.3-6.2_i386.deb
 683b47c4c77b04fc3e2563fdd75640c7 42546 net optional wzdftpd-mod-perl_0.8.3-6.2_i386.deb
 21665ed8793911273832855de64b586d 74098 libdevel optional wzdftpd-dev_0.8.3-6.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUHlIC+e/yOyVhhEJAQrMsg//TQjbnfVQS8BZLQ/BSCeCioXi60k4EKRY
wgqnMpxBGp0reJ9PC7m6fqLhXXoPBF5S33H0xwOQHjBCfmnMuid9YYz7mAK/kEsc
gU7lEZ02b100QYUCg6Poi2oW3SFBCXJleYiK4x421t/JkQ5cd7ruedoGQSjrkdZz
maQZW/XNtgonixbIyMkuMlDXXkneG5kTrTWqUZ/pCWmvBvYtYlES2fHc0JDFlxBS
WRn5ae1rDOf4nivKhyje8AetdEgpAMSZe8AWD/10Mprba0IsepLcz7kDLGmTcyXq
Sege2kHgada1yg6Y0+gQQRpiEsK7h1c60A6TrR3qAcSWy9YbuupG4053rPEVoBMp
bdJE+LM9lZQhPSWrmzeRiFoWr51LWP1Z6yC9haZS9PFSg0QM2zJxZ9RiWs0+ECkN
nIzovK89aTmItLpGj9Em12KmBvm4dvx3IWcLMu1N1IOHn0UxddJ3f36+rXeaIuvE
z8xVQhOs0VJN34kYkxHYFNGUmoDIErbhdmq5irA2Cqcmy92FWUqrvWl1LRN++haK
4IbnCLaYV5Kzuz/QLTEPjaYWf9jqajWcE3WxC/xAljnsKUOk62jcg+qcRAuWBxlQ
zxmVSCgmUEB4+VxaRHzlk87zvGggrAlt4vujfAx63KWmPKiApGmTQnUdgHI82n0U
ivHUV0cOsKo=
=AfeW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:31:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:09:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.